import sqlite3

def create_db():
    conn = sqlite3.connect('bank.db')
    c = conn.cursor()
    c.execute("DROP TABLE IF EXISTS 'user'")
    c.execute("DROP TABLE IF EXISTS 'accounts'")
    c.execute("DROP TABLE IF EXISTS 'transactions'")
    c.execute("""
CREATE TABLE users (
id INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
name TEXT DEFAULT NULL,
created TEXT DEFAULT NULL,
permission TEXT DEFAULT NULL
);
    """)
    c.execute("""
CREATE TABLE accounts (
id INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
user_id INTEGER DEFAULT NULL REFERENCES users (id),
balance TEXT DEFAULT NULL,
name TEXT DEFAULT NULL,
opened TEXT DEFAULT NULL
);
    """)
    c.execute("""
CREATE TABLE transactions (
id INTEGER DEFAULT NULL PRIMARY KEY AUTOINCREMENT,
outgoing_id INTEGER DEFAULT NULL REFERENCES accounts (id),
incoming_id INTEGER DEFAULT NULL REFERENCES accounts (id),
type TEXT DEFAULT NULL,
amount TEXT DEFAULT NULL,
date TEXT DEFAULT NULL,
new field TEXT DEFAULT NULL
);
""")

    conn.commit()
    c.close()
    
create_db()
